# Source code for azure.mgmt.dns.models.soa_record

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SoaRecord(Model):
        """An SOA record.

        :param host: Gets or sets the domain name of the authoritative name
         server, without a temrinating dot.
        :type host: str
        :param email: Gets or sets the email for this record.
        :type email: str
        :param serial_number: Gets or sets the serial number for this record.
        :type serial_number: long
        :param refresh_time: Gets or sets the refresh value for this record.
        :type refresh_time: long
        :param retry_time: Gets or sets the retry time for this record.
        :type retry_time: long
        :param expire_time: Gets or sets the expire time for this record.
        :type expire_time: long
        :param minimum_ttl: Gets or sets the minimum TTL value for this record.
        :type minimum_ttl: long
        """

        _attribute_map = {
            'host': {'key': 'host', 'type': 'str'},
            'email': {'key': 'email', 'type': 'str'},
            'serial_number': {'key': 'serialNumber', 'type': 'long'},
            'refresh_time': {'key': 'refreshTime', 'type': 'long'},
            'retry_time': {'key': 'retryTime', 'type': 'long'},
            'expire_time': {'key': 'expireTime', 'type': 'long'},
            'minimum_ttl': {'key': 'minimumTTL', 'type': 'long'},
        }

        def __init__(self, host=None, email=None, serial_number=None, refresh_time=None, retry_time=None, expire_time=None, minimum_ttl=None):
            self.host = host
            self.email = email
            self.serial_number = serial_number
            self.refresh_time = refresh_time
            self.retry_time = retry_time
            self.expire_time = expire_time
            self.minimum_ttl = minimum_ttl